Werk #14678: mk_docker is docker >=6.0.0 compatible

Component Agent bakery
Title mk_docker is docker >=6.0.0 compatible
Date Aug 30, 2022
Checkmk Editon Checkmk Raw (CRE)
Checkmk Version 2.2.0i1 2.1.0p12 2.0.0p29
Level Trivial Change
Class Bug Fix
Compatibility Compatible - no manual interaction needed

The mk_docker plugin now works with docker version 6 or later.

Previously, the plugin would fail with a message that the module docker.version was not json serializable.

To the list of all Werks